On this page

StopRealtimeASRTask

2026-07-13
POST

https://cloud-realtime-asr-api.zegotech.cn/

Stop ASR task. When this interface is not called proactively and in a timely manner, the service will detect whether the room is empty. If it is empty for more than 120s, the task will be automatically terminated and the caller will be notified.

Request

Query Parameters

    Action stringrequired

    Possible values: [StopRealtimeASRTask]

    Interface prototype parameters

    https://cloud-realtime-asr-api.zegotech.cn?Action=StopRealtimeASRTask

    AppId uint32required

    💡Public parameter. Application ID, assigned by ZEGOCLOUD. Get it from the ZEGOCLOUD Admin Console.

    SignatureNonce stringrequired

    Common parameter. 16-bit hexadecimal random string (hex encoding of 8 bytes of random number). For generation algorithm, refer to Signature Example.

    Timestamp int64required

    Common parameter. Current Unix timestamp, in seconds. For generation algorithm, refer to Signature Example, maximum allowed deviation of 10 minutes.

    SignatureVersion stringrequired

    Possible values: [2.0]

    Default value: 2.0

    💡Public parameter. Signature version number.

    Signature stringrequired

    Common parameter. Signature, used to verify the legitimacy of the request. Please refer to Signature Mechanism to generate.

Body

required
    TaskId stringrequired

    Unique identifier of the task.

Responses​

Task stopped successfully
Schema
    Code integer

    Return code, 0 means success, other values mean failure. For details, refer to Return Codes.

    Message string

    Request result description

    RequestId string

    Request ID

Previous

Start Cloud Real-Time ASR

Next

Add ASR Stream

On this page

Back to top